﻿
@using Jumbula.Common.Helper

@model SeminarProgramBodyViewModel

<div class="tuitions">
    <div class="clearfix"></div>

    @foreach (var charge in Model.Schedule.Prices)
    {
        <div class="tuition">
            <span class="tuition-label">
                @charge.Name
                @if (!string.IsNullOrEmpty(charge.Description))
                {
                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@charge.Description"></a>
                }
            </span>

            @{
                bool ebApplied = false;
            }

            @if (charge.HasEarlyBird)
            {
                foreach (var earlyBrid in charge.EarlyBirds.OrderBy(e => e.ExpireDate))
                {
                    if (Jumbula.Common.Helper.DateTimeHelper.ConvertUtcDateTimeToLocal(DateTime.UtcNow, Model.ClubTimeZone).Date <= earlyBrid.ExpireDate.Value.Date)
                    {
                        ebApplied = true;

                        if (!Model.EnablePriceHidden)
                        {
                            <div class="tuition-prices">
                                <span class="discounted">@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                                <span class="applied">@CurrencyHelper.FormatCurrencyWithPenny(earlyBrid.Price, Model.Currency)</span>
                                <p class="label label-success">@string.Format("Early bird price expires on {0} at 11:59 PM", earlyBrid.ExpireDate.Value.ToString("MMM dd, yyyy"))</p>
                            </div>
                        }
                        break;
                    }
                }
            }

            @if (charge.IsProrate && !ebApplied && charge.LeftSessions < charge.TotalSessions)
            {
                if (!Model.EnablePriceHidden)
                {
                    <div class="tuition-prices">

                        @if (charge.LeftSessions < 1)
                        {
                            <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                            <p class="label label-danger">There is no any sessions remain.</p>
                        }
                        else
                        {
                            <span class="discounted">@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                            <span class="applied">@CurrencyHelper.FormatCurrencyWithPenny(charge.ProratePrice, Model.Currency)</span>
                            <p class="label label-danger">For @charge.LeftSessions remaining sessions @CurrencyHelper.FormatCurrencyWithPenny(charge.ProratePrice, Model.Currency)</p>
                        }

                    </div>
                }
            }
            else
            {
                if (!ebApplied && !Model.EnablePriceHidden)
                {
                    <div class="tuition-prices">
                        <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                    </div>
                }
            }

            <div class="clearfix"></div>
        </div>
                }
    <div class="clearfix"></div>

</div>

@*<ul class="days class">
        @foreach (var item in Model.Schedules[0].RecurrenceTime)
        {
            @Html.Raw(Utilities.ProgramDailyChart(item.Days))
        }
    </ul>*@

@if (Model.Schedule.Services.Count > 0)
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-shopping-bag">Services</h2>
    </div>
    <div class="section-indent">
        @foreach (var service in Model.Schedule.Services)
        {
            switch (service.Category)
            {
                case ChargeDiscountCategory.CustomCharge:
                    {
                        <div class="jbi-coins program-service">
                            <span class="program-service-title">
                                @service.Name
                                @if (!string.IsNullOrEmpty(service.Description))
                                {
                                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@service.Description"></a>
                                }
                            </span>
                            <span class="program-service-value">
                                @CurrencyHelper.FormatCurrencyWithPenny(service.Amount, Model.Currency)
                            </span>
                        </div>
                        break;
                    }
                case ChargeDiscountCategory.Lunch:
                    {
                        <div class="jbi-lunch program-service">
                            <span class="program-service-title">
                                @service.Name
                                @if (!string.IsNullOrEmpty(service.Description))
                                {
                                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@service.Description"></a>
                                }
                            </span>
                            <span class="program-service-value">
                                @CurrencyHelper.FormatCurrencyWithPenny(service.Amount, Model.Currency)
                            </span>
                        </div>
                        break;
                    }
                case ChargeDiscountCategory.DayCare:
                    {
                        <div class="jbi-mom program-service">
                            <span class="program-service-title">
                                @service.Name
                                @if (!string.IsNullOrEmpty(service.Description))
                                {
                                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@service.Description"></a>
                                }
                            </span>
                            <span class="program-service-value">
                                @CurrencyHelper.FormatCurrencyWithPenny(service.Amount, Model.Currency)
                            </span>
                        </div>
                        break;
                    }
            }
        }
        <div class="clearfix"></div>
    </div>
}
<div class="program-section-title-bg">
    <h2 class="program-section-title jbi-pie">Restrictions</h2>
</div>
<div id="restrictions" class="section-indent">
    @switch (Model.Schedule.Restrict.RestrictionType)
    {
        case RestrictionType.Age:
            {
                <p class="jbi-graduation-cap">
                    @Model.Schedule.AgeRestrictionMessage
                </p>
                break;
            }
        case RestrictionType.Grade:
            {
                <p class="jbi-graduation-cap">
                    @Model.Schedule.GradeRestrictionMessage
                </p>
                break;
            }
    }
    <p class="jbi-gender">@Model.Schedule.Restrict.Gender.ToDescription()</p>
</div>
@if ((!string.IsNullOrEmpty(Model.Description)))
{
    <div id="programDiscriptions">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-note-paper">Description</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container">
            <div class="program-desc-box">
                <p itemprop="description">
                    @Html.Raw(Model.Description.Replace("\n", "<br>").Replace("\r", "<br>"))
                </p>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
}
